package com.goafanti.cognizance.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputOrgHumanResource {
	
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
    private String uid;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmTotal;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techTotal;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmInService;
	
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techInService;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmPartTime;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techPartTime;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmTemporary;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techTemporary;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmForeign;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techForeign;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmAbroad;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techAbroad;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer firmCore;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer techCore;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer doctor;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer master;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer undergraduate;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer college;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer seniorTitle;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer intermediateTitle;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer juniorTitle;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer seniorMechanic;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer belowThirty;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer thirtyoneToThirtyfour;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer fortyoneToFifty;

	@Max(value = 9999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer aboveFifty;
	
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer year;
    
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer newEmployment;
    
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
    private Integer graduateNumber;
    
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
    private String rosterUrl;
    
	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
    private String socialSecurityUrl;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getFirmTotal() {
		return firmTotal;
	}

	public void setFirmTotal(Integer firmTotal) {
		this.firmTotal = firmTotal;
	}

	public Integer getTechTotal() {
		return techTotal;
	}

	public void setTechTotal(Integer techTotal) {
		this.techTotal = techTotal;
	}

	public Integer getFirmInService() {
		return firmInService;
	}

	public void setFirmInService(Integer firmInService) {
		this.firmInService = firmInService;
	}

	public Integer getTechInService() {
		return techInService;
	}

	public void setTechInService(Integer techInService) {
		this.techInService = techInService;
	}

	public Integer getFirmPartTime() {
		return firmPartTime;
	}

	public void setFirmPartTime(Integer firmPartTime) {
		this.firmPartTime = firmPartTime;
	}

	public Integer getTechPartTime() {
		return techPartTime;
	}

	public void setTechPartTime(Integer techPartTime) {
		this.techPartTime = techPartTime;
	}

	public Integer getFirmTemporary() {
		return firmTemporary;
	}

	public void setFirmTemporary(Integer firmTemporary) {
		this.firmTemporary = firmTemporary;
	}

	public Integer getTechTemporary() {
		return techTemporary;
	}

	public void setTechTemporary(Integer techTemporary) {
		this.techTemporary = techTemporary;
	}

	public Integer getFirmForeign() {
		return firmForeign;
	}

	public void setFirmForeign(Integer firmForeign) {
		this.firmForeign = firmForeign;
	}

	public Integer getTechForeign() {
		return techForeign;
	}

	public void setTechForeign(Integer techForeign) {
		this.techForeign = techForeign;
	}

	public Integer getFirmAbroad() {
		return firmAbroad;
	}

	public void setFirmAbroad(Integer firmAbroad) {
		this.firmAbroad = firmAbroad;
	}

	public Integer getTechAbroad() {
		return techAbroad;
	}

	public void setTechAbroad(Integer techAbroad) {
		this.techAbroad = techAbroad;
	}

	public Integer getFirmCore() {
		return firmCore;
	}

	public void setFirmCore(Integer firmCore) {
		this.firmCore = firmCore;
	}

	public Integer getTechCore() {
		return techCore;
	}

	public void setTechCore(Integer techCore) {
		this.techCore = techCore;
	}

	public Integer getDoctor() {
		return doctor;
	}

	public void setDoctor(Integer doctor) {
		this.doctor = doctor;
	}

	public Integer getMaster() {
		return master;
	}

	public void setMaster(Integer master) {
		this.master = master;
	}

	public Integer getUndergraduate() {
		return undergraduate;
	}

	public void setUndergraduate(Integer undergraduate) {
		this.undergraduate = undergraduate;
	}

	public Integer getCollege() {
		return college;
	}

	public void setCollege(Integer college) {
		this.college = college;
	}

	public Integer getSeniorTitle() {
		return seniorTitle;
	}

	public void setSeniorTitle(Integer seniorTitle) {
		this.seniorTitle = seniorTitle;
	}

	public Integer getIntermediateTitle() {
		return intermediateTitle;
	}

	public void setIntermediateTitle(Integer intermediateTitle) {
		this.intermediateTitle = intermediateTitle;
	}

	public Integer getJuniorTitle() {
		return juniorTitle;
	}

	public void setJuniorTitle(Integer juniorTitle) {
		this.juniorTitle = juniorTitle;
	}

	public Integer getSeniorMechanic() {
		return seniorMechanic;
	}

	public void setSeniorMechanic(Integer seniorMechanic) {
		this.seniorMechanic = seniorMechanic;
	}

	public Integer getBelowThirty() {
		return belowThirty;
	}

	public void setBelowThirty(Integer belowThirty) {
		this.belowThirty = belowThirty;
	}

	public Integer getThirtyoneToThirtyfour() {
		return thirtyoneToThirtyfour;
	}

	public void setThirtyoneToThirtyfour(Integer thirtyoneToThirtyfour) {
		this.thirtyoneToThirtyfour = thirtyoneToThirtyfour;
	}

	public Integer getFortyoneToFifty() {
		return fortyoneToFifty;
	}

	public void setFortyoneToFifty(Integer fortyoneToFifty) {
		this.fortyoneToFifty = fortyoneToFifty;
	}

	public Integer getAboveFifty() {
		return aboveFifty;
	}

	public void setAboveFifty(Integer aboveFifty) {
		this.aboveFifty = aboveFifty;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public Integer getNewEmployment() {
		return newEmployment;
	}

	public void setNewEmployment(Integer newEmployment) {
		this.newEmployment = newEmployment;
	}

	public Integer getGraduateNumber() {
		return graduateNumber;
	}

	public void setGraduateNumber(Integer graduateNumber) {
		this.graduateNumber = graduateNumber;
	}

	public String getRosterUrl() {
		return rosterUrl;
	}

	public void setRosterUrl(String rosterUrl) {
		this.rosterUrl = rosterUrl;
	}

	public String getSocialSecurityUrl() {
		return socialSecurityUrl;
	}

	public void setSocialSecurityUrl(String socialSecurityUrl) {
		this.socialSecurityUrl = socialSecurityUrl;
	}
	
	

}
